%define upstream_name    Array-Compare
%define upstream_version 3.0.8

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for comparing arrays
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Array/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Types::Standard)
BuildArch:  noarch

%description 
If you have two arrays and you want to know if they are the same or different,
then Array::Compare will be useful to you.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}

%check
./Build test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Array
%{_mandir}/*/*

%changelog
* Mon Dec 28 2020 tv <tv> 3.0.8-1.mga8
+ Revision: 1664343
- update to v3.0.8

* Mon Dec 07 2020 tv <tv> 3.0.7-1.mga8
+ Revision: 1654086
- update to v3.0.7

* Sun Feb 16 2020 umeabot <umeabot> 3.0.3-2.mga8
+ Revision: 1530333
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tv <tv> 3.0.3-1.mga8
+ Revision: 1434748
- update to v3.0.3

* Sat Dec 15 2018 tv <tv> 3.0.2-1.mga7
+ Revision: 1341351
- update to v3.0.2

* Thu Sep 20 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1281779
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 3.0.1-1.mga7
+ Revision: 1216724
- Update to version 3.0.1

* Mon Oct 02 2017 tv <tv> 3.0.0-2.mga7
+ Revision: 1163129
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 3.0.0-1.mga7
+ Revision: 1156265
- new version 3.0.0

* Sat Jun 18 2016 pterjan <pterjan> 2.110.0-3.mga6
+ Revision: 1022570
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.110.0-2.mga6
+ Revision: 966991
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 2.110.0-1.mga6
+ Revision: 847909
- update to 2.11

* Sun Oct 19 2014 umeabot <umeabot> 2.20.0-6.mga5
+ Revision: 790109
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.20.0-5.mga5
+ Revision: 741382
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20.0-4.mga5
+ Revision: 683543
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.20.0-3.mga4
+ Revision: 509194
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.20.0-2.mga3
+ Revision: 363138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 kharec <kharec> 2.20.0-1.mga2
+ Revision: 182550
- update to 2.02

* Thu Jan 20 2011 jquelin <jquelin> 2.10.0-1.mga1
+ Revision: 25648
- fix specs
- imported package perl-Array-Compare

